org.activiti.engine.repository

## Interface ModelQuery

- All Superinterfaces:
    Query<ModelQuery,Model>

      public interface ModelQuery
      extends Query<ModelQuery,Model>

  Allows programmatic querying of `Model`s.
  Author:
    Tijs Rademakers, Joram Barrez

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ModelQuery` | `deployed()` Only select models that are deployed (ie deploymentId != null)
    `ModelQuery` | `deploymentId(String deploymentId)` Only select models that are the source for the provided deployment
    `ModelQuery` | `latestVersion()` Only select models which has the highest version.
    `ModelQuery` | `modelCategory(String modelCategory)` Only select models with the given category.
    `ModelQuery` | `modelCategoryLike(String modelCategoryLike)` Only select models where the category matches the given parameter.
    `ModelQuery` | `modelCategoryNotEquals(String categoryNotEquals)` Only select models that have a different category then the given one.
    `ModelQuery` | `modelId(String modelId)` Only select model with the given id.
    `ModelQuery` | `modelKey(String key)` Only selects models with the given key.
    `ModelQuery` | `modelName(String modelName)` Only select models with the given name.
    `ModelQuery` | `modelNameLike(String modelNameLike)` Only select models where the name matches the given parameter.
    `ModelQuery` | `modelTenantId(String tenantId)` Only select models that have the given tenant id.
    `ModelQuery` | `modelTenantIdLike(String tenantIdLike)` Only select models with a tenant id like the given one.
    `ModelQuery` | `modelVersion(Integer modelVersion)` Only select model with a certain version.
    `ModelQuery` | `modelWithoutTenantId()` Only select models that do not have a tenant id.
    `ModelQuery` | `notDeployed()` Only select models that are not yet deployed
    `ModelQuery` | `orderByCreateTime()` Order by the creation time of the models (needs to be followed by `Query.asc()` or `Query.desc()`).
    `ModelQuery` | `orderByLastUpdateTime()` Order by the last update time of the models (needs to be followed by `Query.asc()` or `Query.desc()`).
    `ModelQuery` | `orderByModelCategory()` Order by the category of the models (needs to be followed by `Query.asc()` or `Query.desc()`).
    `ModelQuery` | `orderByModelId()` Order by the id of the models (needs to be followed by `Query.asc()` or `Query.desc()`).
    `ModelQuery` | `orderByModelKey()` Order by the key of the models (needs to be followed by `Query.asc()` or `Query.desc()`).
    `ModelQuery` | `orderByModelName()` Order by the name of the models (needs to be followed by `Query.asc()` or `Query.desc()`).
    `ModelQuery` | `orderByModelVersion()` Order by the version of the models (needs to be followed by `Query.asc()` or `Query.desc()`).
    `ModelQuery` | `orderByTenantId()` Order by tenant id (needs to be followed by `Query.asc()` or `Query.desc()`).

    - ### Methods inherited from interface org.activiti.engine.query.Query

      `asc, count, desc, list, listPage, singleResult`

- - ### Method Detail

    - #### modelId

          ModelQuery modelId(String modelId)

      Only select model with the given id.

    - #### modelCategory

          ModelQuery modelCategory(String modelCategory)

      Only select models with the given category.

    - #### modelCategoryLike

          ModelQuery modelCategoryLike(String modelCategoryLike)

      Only select models where the category matches the given parameter. The syntax that should be used is the same as in SQL, eg. %activiti%

    - #### modelCategoryNotEquals

          ModelQuery modelCategoryNotEquals(String categoryNotEquals)

      Only select models that have a different category then the given one.

    - #### modelName

          ModelQuery modelName(String modelName)

      Only select models with the given name.

    - #### modelNameLike

          ModelQuery modelNameLike(String modelNameLike)

      Only select models where the name matches the given parameter. The syntax that should be used is the same as in SQL, eg. %activiti%

    - #### modelKey

          ModelQuery modelKey(String key)

      Only selects models with the given key.

    - #### modelVersion

          ModelQuery modelVersion(Integer modelVersion)

      Only select model with a certain version.

    - #### latestVersion

          ModelQuery latestVersion()

      Only select models which has the highest version. Note: if modelKey(key) is not used in this query, all the models with the highest version for each key will be returned (similar to process definitions)

    - #### deploymentId

          ModelQuery deploymentId(String deploymentId)

      Only select models that are the source for the provided deployment

    - #### deployed

          ModelQuery deployed()

      Only select models that are deployed (ie deploymentId != null)

    - #### notDeployed

          ModelQuery notDeployed()

      Only select models that are not yet deployed

    - #### modelTenantId

          ModelQuery modelTenantId(String tenantId)

      Only select models that have the given tenant id.

    - #### modelTenantIdLike

          ModelQuery modelTenantIdLike(String tenantIdLike)

      Only select models with a tenant id like the given one.

    - #### modelWithoutTenantId

          ModelQuery modelWithoutTenantId()

      Only select models that do not have a tenant id.

    - #### orderByModelCategory

          ModelQuery orderByModelCategory()

      Order by the category of the models (needs to be followed by `Query.asc()` or `Query.desc()`).

    - #### orderByModelId

          ModelQuery orderByModelId()

      Order by the id of the models (needs to be followed by `Query.asc()` or `Query.desc()`).

    - #### orderByModelKey

          ModelQuery orderByModelKey()

      Order by the key of the models (needs to be followed by `Query.asc()` or `Query.desc()`).

    - #### orderByModelVersion

          ModelQuery orderByModelVersion()

      Order by the version of the models (needs to be followed by `Query.asc()` or `Query.desc()`).

    - #### orderByModelName

          ModelQuery orderByModelName()

      Order by the name of the models (needs to be followed by `Query.asc()` or `Query.desc()`).

    - #### orderByCreateTime

          ModelQuery orderByCreateTime()

      Order by the creation time of the models (needs to be followed by `Query.asc()` or `Query.desc()`).

    - #### orderByLastUpdateTime

          ModelQuery orderByLastUpdateTime()

      Order by the last update time of the models (needs to be followed by `Query.asc()` or `Query.desc()`).

    - #### orderByTenantId

          ModelQuery orderByTenantId()

      Order by tenant id (needs to be followed by `Query.asc()` or `Query.desc()`).

Copyright © 2016 Alfresco. All rights reserved.